Bug 459675 - (python-sybase) Review Request: python-sybase - new package request
Review Request: python-sybase - new package request
Status: CLOSED DUPLICATE of bug 508066
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-20 22:00 EDT by Andy Theuninck
Modified: 2009-06-30 21:18 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 11:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Theuninck 2008-08-20 22:00:05 EDT
Spec URL: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase.spec
SRPM URL: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase-0.39-2.fc9.src.rpm
Description: Module for python providing interface to Sybase DBs using FreeTDS library.

License is BSD-style rather than GPL.

First package/need sponsor.
Comment 1 Mamoru TASAKA 2008-09-27 13:13:22 EDT
Some notes:

* License tag
  - We do not allow BSD"-style" license tag, either "BSD" or "BSD with advertising", or
    if not BSD, something else.
    https://fedoraproject.org/wiki/Licensing
    In this package the license tag should be "BSD".

* BuildRequires
  - Without "BuildRequies: python-devel python-setuptools", your srpm won't build
    (and fixes for 64 bits architecture is needed, see below)

* Requires
  - "Requires: freetds" is not needed. rpmbuild checks library related dependencies
     and adds them to the rebuilt binary rpms.

* Macros
  - Use macros for common directories:
    https://fedoraproject.org/wiki/Packaging/RPMMacros
    For example, /usr must be %{_prefix}

* Directory description
  * On 64 bits architecture site related files must be installed under 
    /usr/lib64/python2.5/site-packages and your spec file won't work on 64 bits architecture.
  * Also %files entry
------------------------------------------------------------------
%files
%{_libdir}/*
------------------------------------------------------------------
    cannot be allowed because of some reasons.
    - This contains many subdirectories (directories themselves, not files) which 
      are already listed in filesystem rpm and should not be listed in this
      package:
      https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
    - This contains %{_libdir}/debug, which must be used only for -debuginfo rpm

    For python rpm please check
    https://fedoraproject.org/wiki/Packaging/Python#System_Architecture
    Especially, please check %{python_sitearch} macro or so.

    I guess it is better you use a skeleton spec file for python modules
    and modify it. You can create such skeleton spec file by
--------------------------------------------------------------
    $ rpmdev-newspec -t python python-sybase
--------------------------------------------------------------
    (rpmdev-newspec is in rpmdevtools rpm).

* %changelog
  - Please check %changelog format described in:
    https://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 2 Mamoru TASAKA 2008-10-09 09:58:40 EDT
ping?
Comment 3 Andy Theuninck 2008-10-09 10:59:33 EDT
Sorry for the delay. Lost track of it in my inbox.

I made most of the changes you pointed out. The python rpm info was particularly helpful. It's all macros now.

I did not add python-setuptools to BuildRequires because it builds without that package installed (for me, anyway).
Comment 5 Mamoru TASAKA 2008-10-10 13:57:45 EDT
Well,

* BuildRequires
  - Actually without "BuildRequires: python-setuptools"
    This package won't build:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=872720

* python_sitelib vs python_sitearch
  - Then after adding "BuildRequires: python-setuptools"
    this time build fails on x86_64.

    If python modules to be installed are arch-dependent,
    they must be installed under sitearch directory, not
    sitelib:
    https://fedoraproject.org/wiki/Packaging/Python#System_Architecture

    Note that on i386/ppc sitelib directory is the same
    as sitearch directory.
Comment 6 Andy Theuninck 2008-10-10 14:27:17 EDT
I see what happened. Python attempts to grab setuptools over the internet if needed. So it is a dependency; I just didn't have the rpm installed for it.

I switched to sitearch, too.

Can you give me any information about how you ran the linked test build? It'd be nice to do a more rigorous test like that myself instead of repeatedly posting a bad srpm.

SRPM: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase-0.39-4.src.rpm
Comment 7 Mamoru TASAKA 2008-10-10 14:44:58 EDT
I will check your srpm later (I want to go to bed now).
Then:

-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------

(In reply to comment #6)
> Can you give me any information about how you ran the linked test build? It'd
> be nice to do a more rigorous test like that myself instead of repeatedly
> posting a bad srpm.

After you get sponsored you can do test build using koji.
It may be that even before you get sponsored you can do this, however I am
not sure. At least you have to create your account on Fedora account system
and setup koji build client, however I am not sure if it is sufficient.


Anyway now I will wait for your another review request or your pre-review
of other person's request.
Comment 8 Mamoru TASAKA 2008-10-15 14:16:49 EDT
Well, for -4:

* installed files
  - Well, currently
    * sybasect.so
    * Sybase.py
    are not installed, which is apparently wrong
    (is this rpm really working for you?)

    As far as I checked this code, replacing the line
    "python setup.py install ...." by
--------------------------------------------------------
python setup.py install --root $RPM_BUILD_ROOT
--------------------------------------------------------
    correctly installs these files. Also with this
    change the following "rm $PYTHONPATH/site.*" line
    is not needed.

* General rpmlint issue
--------------------------------------------------------
python-sybase.i386: W: spurious-executable-perm /usr/share/doc/python-sybase-0.39/doc/pstumble
python-sybase.i386: E: version-control-internal-file /usr/share/doc/python-sybase-0.39/doc/.cvsignore
--------------------------------------------------------
  - Usually all files installed as %doc must have 0644 permission
    (and should not have executable permission)
  - .cvsignore file is not needed.


Also I am waiting for your another review request or
your pre-review of other person's review request.
Comment 9 Mamoru TASAKA 2008-10-22 09:31:23 EDT
ping?
Comment 10 Andy Theuninck 2008-10-22 21:16:48 EDT
The RPM *does* definitely work for me. It installs an egg file instead of sybasect.so. and Sybase.py. Neither file exists on my system and I can still connect to SQL Server from python just fine.

I'm removing site.py, site.pyc, and site.pyo because these files already exist (from python-setuptools). If I try to install the RPM with those files included, it conflicts on those files. If there's a "more correct" way to exclude them from the RPM, I'd be happy to use it.

I see what you mean about the .csvignore and pstumble, but I can't figure out how to do anything about it. The %{_doc} directory in $RPM_BUILD_ROOT doesn't exist yet in the %install section.
Comment 11 Mamoru TASAKA 2008-10-23 03:53:22 EDT
(In reply to comment #10)
> The RPM *does* definitely work for me. It installs an egg file instead of
> sybasect.so. and Sybase.py. 

After reading https://fedoraproject.org/wiki/Packaging/Python/Eggs
it seems that Fedora allows this case. Then
* As dlopened module sybasect.so is in zipped egg file, debuginfo file
  is not created.
  Please follow
  https://fedoraproject.org/wiki/Packaging/Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons
-------------------------------------------------------------------
use %define debug_package %{nil}  in the specfile, and be sure 
to add a comment next to it explaining why it was done. 
-------------------------------------------------------------------


> I'm removing site.py, site.pyc, and site.pyo because these files already exist
> (from python-setuptools). 
Okay.

> I see what you mean about the .csvignore and pstumble, but I can't figure out
> how to do anything about it. The %{_doc} directory in $RPM_BUILD_ROOT doesn't
> exist yet in the %install section.
%doc LICENCE ChangeLog doc examples installs these files.
Just
--------------------------------------------------------------------
%setup -q
chmod 0644 doc/pstumble
rm -f doc/.cvsignore
--------------------------------------------------------------------
will suppress rpmlint error/warnings

By the way I am also waiting for your another review request submission
or a pre-review of other person's review request.
Comment 12 Andy Theuninck 2008-10-23 14:22:48 EDT
Thanks. I should have thought of %setup.

I put together a -5 release w/ the requested changes.

SPEC: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase.spec
SRPM: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase-0.39-5.src.rpm

I'll put in another review request when I come across something else in need of packaging (is there a list of requests somewhere?)
Comment 13 Mamoru TASAKA 2008-10-23 14:31:01 EDT
(In reply to comment #12) 
> SPEC: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase.spec
> SRPM: http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase-0.39-5.src.rpm
  - I will check this later (I will go to bed)

> I'll put in another review request when I come across something else in need of
> packaging (is there a list of requests somewhere?)
  - If you are interested, see:
    https://fedoraproject.org/wiki/PackageMaintainers/WishList
Comment 14 Mamoru TASAKA 2008-10-24 13:19:08 EDT
Okay, one question for this package:

* easy-install.pth
  - Is this file needed? It seems that this file is created when using
    setuptools.command.easy_install so if other package also creates this file
    by using setuptools.command.easy_install it will easily makes conflict 
    with the package.

And I will wait for your pre-review or another review request
(if you have no other packages currently you want to submit you can
 do a pre-review of other person's review request).
Comment 15 Andy Theuninck 2008-10-24 13:44:43 EDT
easy-install.pth can go. I'll repackage it as soon as I'm at a Fedora machine.

I'm working on packaging webmin (off the wishlist), but I don't have it quite put together yet. The author has it set up to put pretty much EVERYTHING into /usr/libexec, and rpmlint isn't particularly happy about that.
Comment 16 Andy Theuninck 2008-10-26 00:37:13 EDT
Revision w/o easy-install.pth:
http://gohanman.com/rpm/Fedora9/SRPMS/python-sybase-0.39-6.fc9.src.rpm

I have what seems like a pretty clean webmin package @ https://bugzilla.redhat.com/show_bug.cgi?id=468570
Comment 17 Mamoru TASAKA 2008-10-26 10:19:34 EDT
This package itself seems now good.
Comment 18 Mamoru TASAKA 2008-10-28 13:01:47 EDT
Well,
* This package itself is okay
* Your another review request (webmin) is rather a large package.
  While there are some apparent issues to fix for current webmin
  package, however
  it may take not a few time before I can review the package.
  
  So for now I will proceed sponsor process and hope that someone
  else will review webmin package (before I try to review
  webmin package). I will pay attention to webmin review request
  anyway.

So:
--------------------------------------------------------------
   This package (python-sybase) is APPROVED by mtasaka
--------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji) ".

Now I am sponsoring you.

If you want to import this package into Fedora 8/9/10, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.

Removing NEEDSPONSOR.
Comment 19 Mamoru TASAKA 2008-11-05 10:52:51 EST
ping?
Comment 20 Andy Theuninck 2008-11-05 11:03:58 EST
Sorry for the lapses; I really do intend to finish packaging this. I've got koji installed but I haven't had time to do anything else with it.
Comment 21 Mamoru TASAKA 2008-11-12 11:46:01 EST
ping again? By the way at least you have to write CVS admin request
on this bug.
Comment 22 Mamoru TASAKA 2008-11-21 11:57:19 EST
ping again?
Comment 23 Mamoru TASAKA 2008-12-07 10:51:37 EST
ping again??
Comment 24 Mamoru TASAKA 2008-12-19 12:58:44 EST
I will close this bug as NOTABUG if no response from the reporter
is received within ONE WEEK.
Comment 25 Mamoru TASAKA 2009-01-08 11:48:13 EST
Closing as NOTABUG.
Also I removed my sponsorship on you.
Comment 26 Jason Tibbitts 2009-06-30 21:18:59 EDT

*** This bug has been marked as a duplicate of bug 508066 ***

Note You need to log in before you can comment on or make changes to this bug.